Page MenuHomePhabricator

TitleBlacklist complete error messages are utterly hopeless in UploadWizard
Closed, ResolvedPublic

Description

TitleBlacklist complete error messages are utterly hopeless in UploadWizard.

Let's say you try upload a file with a non-descriptive name:


You're a curious person and you click the "More Info" link/button:

OH GOD MY EYES WHAT HAVE I UNLEASHED

Details

Related Gerrit Patches:
mediawiki/extensions/UploadWizard : mastermw.errorDialog: Make the error message dialog larger
mediawiki/extensions/UploadWizard : masteruw.TitleDetailsWidget: Parse TitleBlacklist messages

Event Timeline

matmarex raised the priority of this task from to Medium.
matmarex updated the task description. (Show Details)
matmarex added a project: UploadWizard.
matmarex added a subscriber: matmarex.
Restricted Application added a project: Multimedia. · View Herald TranscriptOct 29 2015, 10:54 PM
Restricted Application added subscribers: Steinsplitter, Aklapper. · View Herald Transcript
Restricted Application added a subscriber: Matanya. · View Herald TranscriptOct 29 2015, 10:54 PM
Jdforrester-WMF moved this task from Untriaged to Next up on the Multimedia board.Nov 5 2015, 4:07 PM

Change 295638 had a related patch set uploaded (by Bartosz Dziewoński):
uw.TitleDetailsWidget: Parse TitleBlacklist messages

https://gerrit.wikimedia.org/r/295638

Change 295897 had a related patch set uploaded (by Bartosz Dziewoński):
mw.errorDialog: Make the error message dialog larger

https://gerrit.wikimedia.org/r/295897

Final effect:

The size of dialogs after the second patch:

BeforeAfter
TitleBlacklist error
Other error

Change 295638 merged by jenkins-bot:
uw.TitleDetailsWidget: Parse TitleBlacklist messages

https://gerrit.wikimedia.org/r/295638

Change 295897 merged by jenkins-bot:
mw.errorDialog: Make the error message dialog larger

https://gerrit.wikimedia.org/r/295897

matmarex closed this task as Resolved.Jun 28 2016, 3:10 PM
matmarex removed a project: Patch-For-Review.